{% extends 'base.html' %}
{% block content %}
    <div class="col-md-10">
        <div class="card">
            <div class="card-body">
                {% if messages %}
                  {% for message in messages %}
                    <div class="alert alert-{{message.tags}} alert-dismissible fade show" role="alert">
                        {{message}}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                  {% endfor %}
                {% endif %}
                <a href="{% url 'tambah_tugas'  %}" class="btn btn-sm btn-success mb-3">
                   <i class="fas fa-plus"></i> Tambah Penugasan
                </a>
                <a href="{% url 'tugas_to_pdf'  %}" class="btn btn-sm btn-info mb-3">
                    <i class="fas fa-print"></i> Cetak PDF
                 </a>
                <table class="table table-striped" id="data">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Tanggal Tugas</th>
                            <th>Tanggal Kembali</th>
                            <th>No Surat</th>
                            <th>Perihal</th>
                            <th>Tempat Tugas</th>
                            <th>Jenis Angkutan</th>
                            <th>Jenis Tugas</th>
                            <th>Pegawai</th>
                            <th>Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for data in tugas %}    
                            <tr>
                                <td>{{ data.id }}</td>
                                <td>{{ data.tgl_tugas }}</td>
                                <td>{{ data.tgl_kembali }}</td>
                                <td>{{ data.no_surat }}</td>
                                <td>{{ data.perihal }}</td>
                                <td>{{ data.tempat_tugas }}</td>
                                <td>{% if data.jenis_angkutan == 'prbd' %} Pribadi
                                    {% elif data.jenis_angkutan == 'umn' %} Umum
                                    {% else %} Dinas
                                    {% endif %}
                                </td>
                                <td>{% if data.jenis_tugas == 'lr' %} Luar
                                    {% else %} Dalam
                                    {% endif %}
                                </td>
                                <td>{{ data.pegawai_id_id }}</td>
                                <td>
                                    <a href="{% url 'ubah_tugas' data.id %}" class="btn btn-sm btn-primary"> <i class="fas fa-edit"></i></a>
                                    <button type="button" class="btn btn-danger btn-sm" data-bs-toggle="modal" data-bs-target="#staticBackdrop-{{ data.id}}">
                                        <i class="fas fa-trash"></i>
                                    </button>
                                </td>
                            </tr>
                            <!-- Modal -->
                            <div class="modal fade" id="staticBackdrop-{{ data.id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                    <h5 class="modal-title" id="staticBackdropLabel">Hapus tugas dengan nomor : {{data.no_surat}}</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Yakin ingin menghapus data ini?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-primary" data-dismiss="modal">Tidak</button>
                                        <a href="{% url 'hapus_tugas' data.id %}" type="button" class="btn btn-danger">Ya, hapus</a>
                                    </div>
                                </div>
                                </div>
                            </div>
                            <!-- /.modal -->
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}